Flambe docs
API referenceCollections

Add a recipe to a collection

POST
/api/collections/{id}/recipes

Authorization

bearerAuth
AuthorizationBearer <token>

A Clerk session JWT. Obtain one with a Clerk frontend SDK (session.getToken()) or, for server-to-server use, with a Clerk machine token. The token's sub claim is the Flambe user id that scopes every request.

In: header

Path Parameters

id*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/collections/497f6eca-6276-4993-bfeb-53cbbbba6f08/recipes" \  -H "Content-Type: application/json" \  -d '{    "recipeId": "31545f76-b27f-4c7c-9faf-229771396df1"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "user_id": "string",  "name": "Weeknight dinners",  "description": "string",  "tags": [    "string"  ],  "recipes": [    "155ee1a9-63d3-4337-b4f5-95f5f75336c1"  ],  "recipe_count": 0,  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}